import { DeleteQuoteUseCase } from "@/contexts/sales/application";
import { registerQuoteRepository } from "../../../../Quote.repository";
import { ISalesContext } from "../../../../Sales.context";
import { DeleteQuoteController } from "./DeleteQuote.controller";

export const deleteQuoteController = (context: ISalesContext) => {
  registerQuoteRepository(context);
  return new DeleteQuoteController(
    {
      useCase: new DeleteQuoteUseCase(context),
    },
    context
  );
};
